org.crosswire.jsword.book.filter.thml

## Class AnonymousTag

- java.lang.Object
- - org.crosswire.jsword.book.filter.thml.AbstractTag
  - - org.crosswire.jsword.book.filter.thml.AnonymousTag

- All Implemented Interfaces:
    Tag
  Direct Known Subclasses:
    IgnoreTag, SkipTag

      public class AnonymousTag
      extends AbstractTag

  THML Tag to process an element that does not map to OSIS.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `tagName` The alias that we are using for the other tag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnonymousTag(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTagName()` What element does this class represent.
    `org.jdom2.Element` | `processTag(Book book, Key key, org.jdom2.Element ele, Attributes attrs)` Make changes to the specified OSIS element given the attributes passed in the source document.

    - ### Methods inherited from class org.crosswire.jsword.book.filter.thml.AbstractTag

      `processContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tagName

          private String tagName

      The alias that we are using for the other tag

  - ### Constructor Detail

    - #### AnonymousTag

          public AnonymousTag(String name)

  - ### Method Detail

    - #### getTagName

          public String getTagName()

      Description copied from interface: `Tag`
      What element does this class represent. For example the Tag that represents the font element would return the string "font".
      Returns:
        the element's tag name

    - #### processTag

          public org.jdom2.Element processTag(Book book,
                                     Key key,
                                     org.jdom2.Element ele,
                                     Attributes attrs)

      Description copied from interface: `Tag`
      Make changes to the specified OSIS element given the attributes passed in the source document.
      Specified by:
        `processTag` in interface `Tag`
      Overrides:
        `processTag` in class `AbstractTag`
      Parameters:
        `book` - the book
        `key` - the key
        `ele` - The OSIS element to use as a parent
        `attrs` - The source document attributes.
      Returns:
        the element to which content is attached